OrderList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class OrderList

    java.lang.Object
      com.fenalco.entities.OrderList

    public class OrderList

extends java.lang.Object

Esta clase representa un listado de pedidos organizados de acuerdo a quien lo solicita, por ejemplo un minorista o un proveedor

Author:
  Néstor Romero León

Field Summary
`private java.util.Vector` | `orders` Este `Hashtable` se utiliza para organizar los pedidos que forman parte del listado, esta organizado de la siguiente forma: key: identificador del pedido `orderId` value: Objeto del tipo `Order`

Constructor Summary
`OrderList()` Constructor por defecto del objeto, permite crear un listado general de todos los pedidos del sistema, por medio de un llamado al método `loadData()`.
`OrderList(int requestCompanyId, int responseCompanyId, java.lang.String requestRole, java.sql.Date startDate, java.sql.Date endDate, int order, boolean historical)` Constructor, permite generar un listado de pedidos filtrado de manera específica de acuerdo a los parámetros recibidos de la siguiente forma: Un minorista puede solicitar un listado de los pedidos hechos a un proveedor específico.
`OrderList(int companyId, java.lang.String companyRole, java.sql.Date startDate, java.sql.Date endDate)` Este constructor sirve para que el administrador construya un listado con los pedidos realizados o recibidos por una empresa en particular dentro de un rango de fechas.

Method Summary
`java.util.Vector` | `getOrders()` Consultor para el atributo orders.
`void` | `latestOrderList(int numberOfOrders)` Este método permite crear un listado de los pedidos mas recientes que se encuentran dentro del Hashtable orders, retorna el número de pedidos que recibe como parámetro.
`boolean` | `loadData()` Este método carga un listado general de los pedidos de la base de datos por medio de un llamado al método `query` de la clase `SQLUtilities`.
`boolean` | `loadData(int requestCompanyId, int responseCompanyId, java.lang.String requestRole, java.sql.Date startDate, java.sql.Date endDate, int order, boolean historical)` Este método recibe los parámetros enviados por el constructor `OrderList(params)` y carga los pedidos desde la base de datos de acuerdo a dichos parámetros, mediante un llamado al método `query` de la clase `SQLUtilities`.
`boolean` | `loadData(int companyId, java.lang.String companyRole, java.sql.Date startDate, java.sql.Date endDate)` Este método construye un listado con los pedidos recibidos o realizados por una empresa en particular, dentro de un rango establecido de fechas.
`boolean` | `loadHistoricalOrders()`
`static void` | `main(java.lang.String[] args)`
`void` | `setOrders(java.util.Vector orders)` Modificador para el atributo orders.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### orders

    private java.util.Vector orders

  Este `Hashtable` se utiliza para organizar los pedidos que forman parte del listado, esta organizado de la siguiente forma: key: identificador del pedido `orderId` value: Objeto del tipo `Order`

Constructor Detail

### OrderList

    public OrderList()

  Constructor por defecto del objeto, permite crear un listado general de todos los pedidos del sistema, por medio de un llamado al método `loadData()`.

### OrderList

    public OrderList(int companyId,
                     java.lang.String companyRole,
                     java.sql.Date startDate,
                     java.sql.Date endDate)

  Este constructor sirve para que el administrador construya un listado con los pedidos realizados o recibidos por una empresa en particular dentro de un rango de fechas.

  Parameters:
    `companyId` - Identificador de la empresa
    `companyRole` - Rol de la empresa a consultar
    `startDate` - Fecha de inicio
    `endDate` - Fecha de terminación

### OrderList

    public OrderList(int requestCompanyId,
                     int responseCompanyId,
                     java.lang.String requestRole,
                     java.sql.Date startDate,
                     java.sql.Date endDate,
                     int order,
                     boolean historical)

  Constructor, permite generar un listado de pedidos filtrado de manera específica de acuerdo a los parámetros recibidos de la siguiente forma: Un minorista puede solicitar un listado de los pedidos hechos a un proveedor específico. Un proveedor puede solicitar un listado de los pedidos recibidos de un minorista específico. Los parámetros de fechas se utilizan para limitar el listado entre una fecha inicial y una final. Todos los parámetros pueden recibir un valor por defecto (-1) correspondiente a todos, por ejemplo todos los minoristas, todos los proveedores o cualquier fecha. El parámetro del rol se utiliza para identificar la forma de construir el listado. Este constructor llama al método `loadData(params)` para cargar el listado desde la base de datos.

  Parameters:
    `requestCompanyId` - Id de la empresa que solicita el listado
    `responseCompanyId` - Empresa objetivo del listado
    `requestRole` - Rol de la empresa que solicita el listado
    `startDate` - Fecha desde la cual buscar pedidos
    `endDate` - Fecha hasta la cual buscar pedidos

Method Detail

### latestOrderList

    public void latestOrderList(int numberOfOrders)

  Este método permite crear un listado de los pedidos mas recientes que se encuentran dentro del Hashtable orders, retorna el número de pedidos que recibe como parámetro. Este método requiere que el Hastable orders tenga asignados pedidos, internamente deberá llamar al constructor de `OrderList` para poder retornar este objeto con los pedidos seleccionados.

  Parameters:
    `numberOfOrders` - Número de pedidos a seleccionar como más recientes

### loadData

    public boolean loadData()

  Este método carga un listado general de los pedidos de la base de datos por medio de un llamado al método `query` de la clase `SQLUtilities`.

  Returns:
    Valor booleano que indica si la operación tuvo éxito o no.

### loadData

    public boolean loadData(int requestCompanyId,
                            int responseCompanyId,
                            java.lang.String requestRole,
                            java.sql.Date startDate,
                            java.sql.Date endDate,
                            int order,
                            boolean historical)

  Este método recibe los parámetros enviados por el constructor `OrderList(params)` y carga los pedidos desde la base de datos de acuerdo a dichos parámetros, mediante un llamado al método `query` de la clase `SQLUtilities`.

  Parameters:
    `requestCompanyId` - Id de la empresa que solicita el listado
    `responseCompanyId` - Empresa objetivo del listado
    `requestRole` - Rol de la empresa que solicita el listado SOLO puede tener los valores Minorista o Proveedor
    `startDate` - Fecha desde la cual buscar pedidos
    `endDate` - Fecha hasta la cual buscar pedidos
  Returns:
    Valor booleano que indica si la operación tuvo éxito o no.

### loadData

    public boolean loadData(int companyId,
                            java.lang.String companyRole,
                            java.sql.Date startDate,
                            java.sql.Date endDate)

  Este método construye un listado con los pedidos recibidos o realizados por una empresa en particular, dentro de un rango establecido de fechas. Para el uso del administrador

  Parameters:
    `companyId` - Identificador de la empresa
    `companyRole` - Rol de la empresa SOLO puede tener los valores Minorista o Proveedor
    `startDate` - Fecha de inicio
    `endDate` - Fecha de terminación
  Returns:
    Valor booleano que indica si la operación tuvo éxito o no.

### loadHistoricalOrders

    public boolean loadHistoricalOrders()

### getOrders

    public java.util.Vector getOrders()

  Consultor para el atributo orders.

  Returns:
    Valor del atributo orders.

### setOrders

    public void setOrders(java.util.Vector orders)

  Modificador para el atributo orders.

  Parameters:
    `orders` - Nuevo valor del atributo orders.

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD